From: Julian Ospald <hasufell@gentoo.org>
Date: Wed Jan 29 02:35:52 UTC 2014
Subject: make paths modifiable

--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -3,6 +3,10 @@
 
 set(quest_name "zsdx")
 
+set(DATAROOTDIR "share" CACHE PATH "dataroot dir")
+set(DATADIR "${DATAROOTDIR}/solarus" CACHE PATH "data dir")
+set(BINDIR "bin" CACHE PATH "bin dir")
+
 # data files list
 file(GLOB_RECURSE data_files
   RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/data
@@ -47,7 +51,7 @@
 add_custom_command(
   OUTPUT ${quest_name}
   COMMAND echo '\#!/bin/sh' > ${quest_name}
-  COMMAND echo 'solarus ${CMAKE_INSTALL_PREFIX}/share/solarus/${quest_name} $*' >> ${quest_name}
+  COMMAND echo 'solarus ${DATADIR}/${quest_name} $*' >> ${quest_name}
 )
 add_custom_target(${quest_name}_command
   ALL
@@ -56,11 +60,11 @@
 
 # install the data archive
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/data.solarus
-  DESTINATION share/solarus/${quest_name}
+  DESTINATION ${DATADIR}/${quest_name}
 )
 
 # install the script
 install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${quest_name}
-  DESTINATION bin
+	DESTINATION ${BINDIR}
 )
 
